Need help installing IOS 56

Discussion in 'Wii - Hacking' started by gammern, May 31, 2010.

  1. gammern
    OP

    gammern Newbie

    Newcomer
    8
    0
    May 29, 2010
    Mauritius
    oslo
    Aight, hope this goes under the right category:

    When I try to boot a backup of super mario galaxy 2 I get the error message (from gecko) : "This game requires IOS 56. IOS not found on disk"

    I am a complete noob and have not used my wii (hehe) in ages. The firmware is 3.2E and I have a d2ckey modchip installed.

    Help would be very appreciated, and I would be grateful for clean, simple instructions.
     
  2. raulpica

    raulpica With your drill, thrust to the sky!

    Supervisor
    11,025
    7,344
    Oct 23, 2007
    Italy
    PowerLevel: 9001
  3. gammern
    OP

    gammern Newbie

    Newcomer
    8
    0
    May 29, 2010
    Mauritius
    oslo
    I think my Gecko is the latest? At least the homebrew browser told me so. Nevertheless, I will check out the guide when I get home [​IMG]

    EDIT: I am positive that my gecko is the latest, yet it will not boot from it. Am I doing something wrong? I'd rather mess with my wii as little as possible, so..

    EDIT 2: I do not know if this is related to my problem or not, but the hombrew channel will not connect with my network. My wii does it without any problem. So...?
     
  4. raulpica

    raulpica With your drill, thrust to the sky!

    Supervisor
    11,025
    7,344
    Oct 23, 2007
    Italy
    PowerLevel: 9001
    Strange, when running games with missing IOSes, GeckoOS prompted me to install them. Maybe it was removed in the latest version? [​IMG]

    Otherwise, just get Dop-Mii and install the latest IOS56 from there using a Network connection [​IMG]
     
  5. gammern
    OP

    gammern Newbie

    Newcomer
    8
    0
    May 29, 2010
    Mauritius
    oslo
    Why thank you good sir. I presume this contains no risk of bricking? As I said in my edit, my homebrewchannel will not connect to my wlan, even though I can use the internet channel perfectly. Any way to fix this?
     
  6. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    GeckoOS does install required IOSes, but read the message: "This game requires IOS 56. IOS not found on disk"

    It's a scrubbed backup.
     
  7. Fear_the_Tubes

    Fear_the_Tubes Advanced Member

    Newcomer
    56
    0
    Feb 13, 2010
    United States
    He's using a backup that has had the updates removed from it.
     
  8. gammern
    OP

    gammern Newbie

    Newcomer
    8
    0
    May 29, 2010
    Mauritius
    oslo
    I see. But still, how do I fix it? Sorry for being so lost [​IMG]
     
  9. raulpica

    raulpica With your drill, thrust to the sky!

    Supervisor
    11,025
    7,344
    Oct 23, 2007
    Italy
    PowerLevel: 9001
    No need to fix the ISO, just use DOP-Mii [​IMG]

    There's no risk of bricking, since IOS56 is not ever used in critical parts of the system [​IMG]

    Oh, just read the edits. Well, even if Homebrew-Channel does not work, Dop-Mii might. It's worth a try. Otherwise just follow the next post [​IMG]
     
  10. Fear_the_Tubes

    Fear_the_Tubes Advanced Member

    Newcomer
    56
    0
    Feb 13, 2010
    United States
    Use NUS Downloader: http://wiibrew.org/wiki/NUS_Downloader

    You can grab the latest IOS56 from nintendo's servers with that. Pack it as a .wad and install it with any wad manager.

    As far as your homebrew channel: Check your network settings or just re-install the latest version with the hackmii installer.
     
  11. gammern
    OP

    gammern Newbie

    Newcomer
    8
    0
    May 29, 2010
    Mauritius
    oslo
    I really appreciate the help. Hopefully this will be my last noobquestion: How do I get ios56 with the NUS downloader? It seems I need to type in some code in the search field?

    EDIT: think I might have figured it out.. went to database and then picked "latest" on ios 56. Does that sound correct?
     
  12. gammern
    OP

    gammern Newbie

    Newcomer
    8
    0
    May 29, 2010
    Mauritius
    oslo
    IT WORKED! THANKS A BUNCH!
     
  13. Thoob

    Thoob LOLmonade.

    Member
    1,126
    0
    May 28, 2009
    Scotland
    Yeah, that's it. Just tick "pack to .wad" and install on your Wii with WAD manager. [​IMG]
     
  14. musashi9

    musashi9 Newbie

    Newcomer
    2
    0
    May 11, 2006
    A related question.
    I installed ios 56 that I donwloaded from a site and installed it using wad manager but I never trucha patched it.
    So I grabbed the latest version (v10) of dop ios, so I could trucha patch ios 56 but the only version of ios 56 dop ios will let me install is a lower version of what I already installed.

    So my question is: if I install a lower version of ios 56 over a newer version will that cause problems ?